Using autocad 2018
the revcloud command does not finish, & the lisp routine continues on. Which makes it not work correctly. What do I need to add to make routine wait till revcloud command is done before continuing on with rest of lisp routine?
Here is what I have:
Code:
(defun C:jt2 ()
(setq m:sc (getvar "dimscale"))
(setq m:REVNUM (getstring "\nEnter the revision set: "))
(command "-layer" "m" (strcat "REVISION_CLOUDS_" m:revnum) "")
(initcommandversion -1)
(command "_revcloud" "s" "c" "p" "a" (* 0.5 m:sc) "")
(setq m:TAGLAY (strcat "REVTAG-" m:REVNUM))
(setq m:PLACETAG (getpoint "\nPlace the cloud's tag: "))
(command "-layer" "m" m:TAGLAY "")
(command "._insert" "cloudtag" m:PLACETAG (getvar "DIMSCALE") "" "0" m:revnum )
(princ "\nNow place the leader using a 3-point arc. ")
(command "._arc")
)
I appreciate anyone's help